manova {stats} | R Documentation

## Multivariate Analysis of Variance

### Description

A class for the multivariate analysis of variance.

### Usage

    manova(...)

### Arguments

`...` | Arguments to be passed to `aov`.

### Details

Class `"manova"` differs from class `"aov"` in selecting a different `summary` method. Function `manova` calls `aov` and then add class `"manova"` to the result object for each stratum.

### Value

See `aov` and the comments in ‘Details’ here.

### References

Krzanowski, W. J. (1988) Principles of Multivariate Analysis. A User's Perspective. Oxford.

Hand, D. J. and Taylor, C. C. (1987) Multivariate Analysis of Variance and Repeated Measures. Chapman and Hall.

### See Also

`aov`, `summary.manova`, the latter containing more examples.

### Examples

    ## Set orthogonal contrasts.
    op <- options(contrasts = c("contr.helmert", "contr.poly"))

    ## Fake a 2nd response variable
    npk2 <- within(npk, foo <- rnorm(24))
    ( npk2.aov <- manova(cbind(yield, foo) ~ block + N*P*K, npk2) )
    summary(npk2.aov)

    ( npk2.aovE <- manova(cbind(yield, foo) ~  N*P*K + Error(block), npk2) )
    summary(npk2.aovE)

[Package stats version 3.6.0 Index]